{% extends 'Admin/admin.html.twig' %}

{% block extraTitle %}
    - Gestion des Batailles{% if world is defined %} de {{ world.name }}{% endif %}
{% endblock %}

{% block adminContent %}
    <div class="scrollable border">
        <table id="adminTable">
            <thead>
            <tr>
                <th>Id</th>
                <th>Location</th>
                <th>Date de création</th>
                <th>Etat</th>
                <th>Actions</th>
            </tr>
            </thead>
            <tbody>
            {% for battle in battles %}
                <tr>
                    <td>
                        <a href="{{ path('app_battle_battleindex', {'id': battle.id }) }}">
                            Bataille n°{{ battle.id }}
                        </a>
                    </td>
                    <td>
                        <a href="{{ path('app_map_focusNode', {'worldId': battle.location.owningWorld.id, 'nodeId': battle.location.id }) }}">
                            {{ battle.location.name }}
                        </a>
                    </td>
                    <td>{{ battle.startTime | date(null, 'Europe/Paris') }}</td>
                    <td>{{ battle.finished ? 'Terminée' : 'En cours' }}</td>
                    <td>
                        {% if battle.finished and battle.engagedGenerals.count > 0 %}
                            <a href="{{ path('cleanupBattle', {'battleId': battle.id}) }}">Cleanup</a>
                        {% else %}
                            ...
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <p style="text-align: right">Nombre de bataille(s) : {{ battles | length }}</p>
{% endblock %}